Subject: Re: linux-next: manual merge of the spi tree with the mfd tree

From: Grant Likely <[email-masked]>
Date: Thu, 17 Mar 2011 23:16:27 -0600

On Fri, Mar 18, 2011 at 03:40:17PM +1100, Stephen Rothwell wrote:
> Hi Grant,
> 
> Today's linux-next merge of the spi tree got a conflict in
> drivers/gpio/Kconfig between commit 390ff13830e5 ("gpio: Add Tunnel Creek
> support to sch_gpio") from the mfd tree and commit 61ab3fe57e45 ("gpio;
> Make Intel chipset gpio drivers depend on x86") from the spi tree.
> 
> Just context changes.  I fixed it up (see below) and can carry the fix as
> necessary.  I am assuming that the Tunnel Creek stuff should also depend
> on X86?

It would appear so.  Thanks Stephen.

BTW Samuel, looking at the commit message for 390ff13830e5:

commit 390ff13830e5bcc4f8585b396e3d15b1c04c0282
Author: Denis Turischev <[email-masked]>
Date:   Mon Mar 14 12:53:05 2011 +0200
[...]
    Signed-off-by: Denis Turischev <[email-masked]>
    Signed-off-by: Samuel Ortiz <[email-masked]>

My Acked-by seems to be missing from the commit log.

g.

> -- 
> Cheers,
> Stephen Rothwell                    [email-masked]
> 
> diff --cc drivers/gpio/Kconfig
> index 7ef9108,b46442d..0000000
> --- a/drivers/gpio/Kconfig
> +++ b/drivers/gpio/Kconfig
> @@@ -100,8 -100,8 +100,8 @@@ config GPIO_VR41X
>   	  Say yes here to support the NEC VR4100 series General-purpose I/O Uint
>   
>   config GPIO_SCH
>  -	tristate "Intel SCH GPIO"
>  +	tristate "Intel SCH/TunnelCreek GPIO"
> - 	depends on GPIOLIB && PCI
> + 	depends on GPIOLIB && PCI && X86
>   	select MFD_CORE
>   	select LPC_SCH
>   	help